ViewVC Help
View File | Revision Log | Show Annotations | Download File | View Changeset | Root Listing
root/mports/trunk/Makefile
Revision: 1360
Committed: Thu Apr 5 00:41:04 2007 UTC (17 years, 1 month ago) by laffer1
File size: 4940 byte(s)
Log Message:
add mbone.

File Contents

# Content
1 # $MidnightBSD: mports/Makefile,v 1.32 2007/03/17 20:06:38 laffer1 Exp $
2 #
3
4 SUBDIR += accessibility
5 SUBDIR += archivers
6 SUBDIR += astro
7 SUBDIR += audio
8 SUBDIR += benchmarks
9 SUBDIR += comms
10 SUBDIR += converters
11 SUBDIR += databases
12 SUBDIR += deskutils
13 SUBDIR += devel
14 SUBDIR += dns
15 SUBDIR += editors
16 SUBDIR += emulators
17 SUBDIR += ftp
18 SUBDIR += games
19 SUBDIR += german
20 SUBDIR += graphics
21 SUBDIR += irc
22 SUBDIR += java
23 SUBDIR += lang
24 SUBDIR += mail
25 SUBDIR += math
26 SUBDIR += mbone
27 SUBDIR += misc
28 SUBDIR += multimedia
29 SUBDIR += net
30 SUBDIR += net-im
31 SUBDIR += net-mgmt
32 SUBDIR += net-p2p
33 SUBDIR += news
34 SUBDIR += palm
35 SUBDIR += ports-mgmt
36 SUBDIR += print
37 SUBDIR += security
38 SUBDIR += shells
39 SUBDIR += sysutils
40 SUBDIR += textproc
41 SUBDIR += www
42 SUBDIR += x11
43 SUBDIR += x11-clocks
44 SUBDIR += x11-fonts
45 SUBDIR += x11-fm
46 SUBDIR += x11-servers
47 SUBDIR += x11-themes
48 SUBDIR += x11-toolkits
49 SUBDIR += x11-wm
50
51 PORTSTOP= yes
52
53 .include <bsd.port.subdir.mk>
54
55 index:
56 @rm -f ${INDEXDIR}/${INDEXFILE}
57 @cd ${.CURDIR} && make ${INDEXDIR}/${INDEXFILE}
58
59 fetchindex: ${INDEXDIR}/{INDEXFILE}.bz2
60 @bunzip2 < ${INDEXDIR}/${INDEXFILE}.bz2 > ${INDEXDIR}/${INDEXFILE} && \
61 chmod a+r ${INDEXDIR}/${INDEXFILE}
62
63 ${INDEXDIR}/{INDEXFILE}.bz2: .PHONY
64 @${FETCHINDEX} ${INDEXDIR}/${INDEXFILE}.bz2 ${MASTER_SITE_INDEX}${INDEXFILE}.bz2
65
66 MASTER_SITE_INDEX?= http://www.MidnightBSD.org/ports/
67 SETENV?= /usr/bin/env
68 FETCHINDEX?= ${SETENV} ${FETCH_ENV} fetch -am -o
69 INDEX_JOBS?= 2
70
71 .if !defined(INDEX_VERBOSE)
72 INDEX_ECHO_MSG= echo > /dev/null
73 INDEX_ECHO_1ST= echo -n
74 .else
75 INDEX_ECHO_MSG= echo 1>&2
76 INDEX_ECHO_1ST= echo
77 .endif
78
79 ${INDEXDIR}/${INDEXFILE}:
80 @${INDEX_ECHO_1ST} "Generating ${INDEXFILE} - please wait.."; \
81 if [ "${INDEX_PRISTINE}" != "" ]; then \
82 export LOCALBASE=/nonexistentlocal; \
83 export X11BASE=/nonexistentx; \
84 fi; \
85 tmpdir=`/usr/bin/mktemp -d -t index` || exit 1; \
86 trap "rm -rf $${tmpdir}; exit 1" 1 2 3 5 10 13 15; \
87 ( cd ${.CURDIR} && make -j${INDEX_JOBS} INDEX_TMPDIR=$${tmpdir} BUILDING_INDEX=1 \
88 ECHO_MSG="${INDEX_ECHO_MSG}" describe ) || \
89 (rm -rf $${tmpdir} ; \
90 if [ "${INDEX_QUIET}" = "" ]; then \
91 echo; \
92 echo "********************************************************************"; \
93 echo "Before reporting this error, verify that you are running a supported"; \
94 echo "version of MidnightBSD (see http://www.MidnightBSD.org/ports/) and that you"; \
95 echo "have a complete and up-to-date ports collection. (INDEX builds are"; \
96 echo "not supported with partial or out-of-date ports collections -- in"; \
97 echo "particular, if you are using cvsup, you must cvsup the \"ports-all\""; \
98 echo "collection, and have no \"refuse\" files.) If that is the case, then"; \
99 echo "report the failure to ports@MidnightBSD.org together with relevant"; \
100 echo "details of your ports configuration (including MidnightBSD version,"; \
101 echo "your architecture, your environment, and your /etc/make.conf"; \
102 echo "settings, especially compiler flags and WITH/WITHOUT settings)."; \
103 echo; \
104 echo "Note: the latest pre-generated version of INDEX may be fetched"; \
105 echo "automatically with \"make fetchindex\"."; \
106 echo "********************************************************************"; \
107 echo; \
108 fi; \
109 exit 1); \
110 cat $${tmpdir}/${INDEXFILE}.desc.* | (cd ${.CURDIR} ; perl ${.CURDIR}/Tools/make_index) | \
111 sed -e 's/ */ /g' -e 's/| */|/g' -e 's/ *|/|/g' -e 's./..g' | \
112 sort -t '|' +1 -2 | \
113 sed -e 's../.g' > ${INDEXDIR}/${INDEXFILE}.tmp; \
114 if [ "${INDEX_PRISTINE}" != "" ]; then \
115 sed -e "s,$${LOCALBASE},/usr/local," -e "s,$${X11BASE},/usr/X11R6," \
116 ${INDEXDIR}/${INDEXFILE}.tmp > ${INDEXDIR}/${INDEXFILE}; \
117 else \
118 mv ${INDEXDIR}/${INDEXFILE}.tmp ${INDEXDIR}/${INDEXFILE}; \
119 fi; \
120 rm -rf $${tmpdir}; \
121 echo " Done."
122
123 print-index: ${INDEXDIR}/${INDEXFILE}
124 @awk -F\| '{ printf("Port:\t%s\nPath:\t%s\nInfo:\t%s\nMaint:\t%s\nIndex:\t%s\nB-deps:\t%s\nR-deps:\t%s\nE-deps:\t%s\nP-deps:\t%s\nF-deps:\t%s\nWWW:\t%s\n\n", $$1, $$2, $$4, $$6, $$7, $$8, $$9, $$11, $$12, $$13, $$10); }' < ${INDEXDIR}/${INDEXFILE}
125
126 CVS?= cvs
127 SUP?= csup
128 .if defined(SUPHOST)
129 SUPFLAGS+= -h ${SUPHOST}
130 .endif
131 update:
132 .if defined(SUP_UPDATE) && defined(PORTSSUPFILE)
133 @echo "--------------------------------------------------------------"
134 @echo ">>> Running ${SUP}"
135 @echo "--------------------------------------------------------------"
136 @${SUP} ${SUPFLAGS} ${PORTSSUPFILE}
137 .elif defined(CVS_UPDATE)
138 @echo "--------------------------------------------------------------"
139 @echo ">>> Updating ${.CURDIR} from cvs repository" ${CVSROOT}
140 @echo "--------------------------------------------------------------"
141 cd ${.CURDIR}; ${CVS} -R -q update -A -P -d -I!
142 .elif defined(SUP_UPDATE) && !defined(PORTSSUPFILE)
143 @${ECHO_MSG} "Error: Please define PORTSSUPFILE before doing make update."
144 @exit 1
145 .else
146 @${ECHO_MSG} "Error: Please define either PORTSNAP_UPDATE, SUP_UPDATE, or CVS_UPDATE first."
147 .endif

Properties

Name Value
cvs2svn:cvs-rev 1.33